Exult SQL Server User Guide : User Manual for Exult for SQL Server

User Manual for Exult for SQL Server

Exult is a powerful Windows application which helps you shred XML and import the data into an SQL Server database.

Exult works primarily with data-centric XML files to extract data to SQL Server. The XML structure information is reflected in the database using primary and foreign key constraints.


Exult SQL Server User Guide : 1. Import XML into SQL Server

1. Import XML into SQL Server

Exult is a powerful Windows application which helps you shred XML and import the data into an SQL Server database.

Exult works primarily with data-centric XML files to extract data to SQL Server. The XML structure information is reflected in the database using primary and foreign key constraints.

Main Features

  • Automatically figures out Table Data: The XML is shredded in an intuitive way to extract table data simplifying the task of sorting through the data.
  • Tables and Columns created: Database tables and columns are automatically created from XML element and attribute information.
  • Maintains Table Relationships: Table relationships (which are dictated by the XML structure) are maintained by the use of auto-generated primary and foreign keys. Makes it easy to see how the data in separate tables relate to each other.
  • Merge and import data from multiple XML files: Smart parsing ensures that the data will be merged according to the XML file structure.
  • Imports Attribute information too when loading XML: Attribute information within the XML is treated similar to element information and is extracted to appropriate tables.
  • Optimized for large files: Large and complex XML files are easily imported without running into large memory requirements.
  • Process many files at once: Import data from a single file or hundreds of files at once. Exult for SQL Server is built for handling heavy-duty processing jobs with a minimum of fuss.
  • Automate Imports: Automate XML import into SQL Server using the included command line interface. Use the Windows Scheduler to schedule jobs to run as frequently as you want.


Exult SQL Server User Guide : 1.1 Import a single XML file into SQL Server

1.1 Import a single XML file into SQL Server

Exult makes it very easy to import an XML file into SQL Server, automatically creating the tables and the required relationships. The following is a walkthrough which illustrates the process.

  1. The Welcome Screen presents useful information about Exult including the version and some latest changes.
  2. The Trial Information Screen provides some information about the limitations of the trial version. Appears only in the trial version of Exult for SQL Server.
  3. The Database Connection Screen allows you to connect to an SQL Server database. Information required here includes the location of the database server, the type of the authentication used (Windows Authentication or SQL Server Authentication), user name and password to connect (for SQL Server Authentication), and optionally, the database to connect to. Connecting to SQL Server
  4. The XML File Selection Screen is shown once the connection to SQL Server is successfully made. This example shows a single XML file selected for processing. Selecting XML files for importing into SQL Server
  5. The XML Import Progress Screen shows the progress of the XML import process. Importing XML into an SQL Server database
  6. The Data Preview Screen shows the tables and the data imported by the XML import. Previewing Data after importing XML into SQL Server
  7. And that is how easy it is to import XML into SQL Server using Exult. The Finish Screen completes the process.


Exult SQL Server User Guide : 1.2 Import multiple XML files into SQL Server

1.2 Import multiple XML files into SQL Server

It is just as easy to import multiple XML files into SQL Server using Exult as importing a single file. The following is a quick walkthrough illustrating the same.

  1. Click Next on the The Welcome Screen.
  2. The Trial Information Screen provides information about the limitations of the trial version. Appears only in the trial version of Exult for SQL Server.
  3. The Database Connection Screen requests the information needed to connect to an SQL Server database. This includes the location of the database server, the type of the authentication used (Windows Authentication or SQL Server Authentication), user name and password to connect (for SQL Server Authentication), and optionally, the database to connect to. Connecting to SQL Server
  4. The XML File Selection Screen is where you select the XML files you want to process. You can click Add File to add a local file (on your computer), or Add URL to add a remote file URL. The example screenshot shows 50 XML files selected for processing. Importing multiple XML files into SQL Server
  5. The XML Import Progress Screen shows the progress of the XML file import. Importing multiple XML URLs into SQL Server
  6. The Data Preview Screen allows you to browse the data imported by the import process. Previewing Data after importing XML into SQL Server
  7. The Finish Screen is the last screen in the process.


Exult SQL Server User Guide : 1.3 Import XML from an HTTP URL into SQL Server

1.3 Import XML from an HTTP URL into SQL Server

This section explains how to import XML from a HTTP (Web) URL into SQL Server using Exult.

  1. Start up Exult SQL Server. Click next on the The Welcome Screen.
  2. The Trial Information Screen provides information about the limitations of the trial version. Appears only in the trial version of Exult for SQL Server.
  3. Enter the database connection parameters on The Database Connection Screen. It requests the information needed to connect to an SQL Server database. This includes the location of the database server, the type of the authentication used (Windows Authentication or SQL Server Authentication), user name and password to connect (for SQL Server Authentication), and optionally, the database to connect to. Connecting to SQL Server
  4. Click Add URL on the XML File Selection Screen. Add HTTP URLs for importing into SQL Server
  5. Select the URL type in the Add URL screen. Selecting URL type for importing into SQL Server
  6. Enter the parameters for a HTTP URL. HTTP URL parameters
  7. Or, if you selected FTP, enter the parameters for an FTP URL. Add FTP URLs for importing into SQL Server
  8. Clicking Next downloads the file from the URL.
  9. The XML Import Progress Screen shows the progress of the XML import process. Importing XML into an SQL Server database
  10. The Data Preview Screen shows the tables and the data imported by the XML import. Previewing Data after importing XML into SQL Server
  11. And that is how easy it is to import XML into SQL Server using Exult. The Finish Screen completes the process.


Exult SQL Server User Guide : 1.4 Update (synchronize) XML feed in SQL Server

1.4 Update (synchronize) XML feed in SQL Server

Exult SQL Server makes it very easy to keep the data from XML feeds updated with the latest.

  • Once you have imported an XML file into SQL server, whether local or remote, you can update the data from this file easily.
  • After you perform this operation, all the data from the old XML file will be deleted and replaced with the data from the new file.
  • Please note that updates are performed on the basis of the URL (or full file path). So if the URL changes even by a bit, the data from the URL is imported rather than older data updated. To give an example, asssume you have imported from the following URL:

    http://www.example.com/path/to/File.xml?date=01/01/08

    Note that the parameter date=01/01/08 is considered an integral part of the URL and used when checking for updates. Now if the date changes and the URL now looks like:

    http://www.example.com/path/to/File.xml?date=02/01/08

    the data will be imported as new rather than updated.

    To get around this, consider downloading the XML file separately to a specific path and importing/updating from that path.

The following walk-through demonstrates how to update XML feed data in SQL Server.

  1. Start up Exult SQL Server and click Next on the welcome screen which presents useful information about Exult including the version and some latest changes.
  2. The Trial Information Screen provides some information about the limitations of the trial version. Appears only in the trial version of Exult for SQL Server.
  3. The Database Connection Screen allows you to connect to an SQL Server database. Information required here includes the location of the database server, the type of the authentication used (Windows Authentication or SQL Server Authentication), user name and password to connect (for SQL Server Authentication), and optionally, the database to connect to. Connecting to SQL Server
  4. The XML File Selection Screen is shown once the connection to SQL Server is successfully made. Click Update to launch the Synchronize XML Feed dialog.
  5. The section Updating XML Feeds describe how to perform the update. Updating XML data in SQL Server
  6. Once you are done with the Synchronize XML Feed dialog, the selected files are added to the XML file selection box. XML URLs selected for import into SQL Server
  7. The XML Import Progress Screen shows the progress of the XML import process. Importing XML into an SQL Server database
  8. The Data Preview Screen shows the tables and the data imported by the XML import. Previewing Data after importing XML into SQL Server
  9. Your XML feeds are now updated to the latest available. The Finish Screen completes the process.


Exult SQL Server User Guide : 2. Using Exult for SQL Server

2. Using Exult for SQL Server

This chapter explains in detail the various screens of Exult SQL Server.


Exult SQL Server User Guide : 2.1 The Welcome Screen

2.1 The Welcome Screen

Getting Started with importing XML into SQL Server

This is the opening screen of Exult. It shows the version number of Exult and serves to highlight new features.

Click Next to start.


Exult SQL Server User Guide : 2.2 The Trial Information Screen

2.2 The Trial Information Screen

This screen appears only in the trial version of Exult. The purpose of this screen is to warn you of the trial version limitations and to give you an opportunity to purchase Exult for SQL Server from the application itself.

You can purchase Exult for SQL Server by clicking on the Click to purchase Exult now link in this page. You will be directed to a secure page for placing your order.

Once your order has been processed successfully, you will receive an email with a download link to download the full version and a license key for the software.

Exult for SQL Server Trial version

The trial version of Exult for SQL Server has the following limitations:

  • When data is extracted, Exult replaces some extracted values with <<Trial Version>>. This is not text that was found in your XML file(s), but was added by Exult. The purpose of the trial version is to let you evaluate whether the output created by Exult fulfils your needs. And, in our opinion, inserting the <<Trial Version>> message in the output does not detract you from this evaluation.
  • Time Limited: Works for 14 days only.


Exult SQL Server User Guide : 2.3 The Registration Screen

2.3 The Registration Screen

Once you purchase Exult for SQL Server, you will receive (via email) a download link where you can download the full version of the software, and a license key to use the software. The Full version download is a Setup file which installs Exult for SQL Server on your computer. Please uninstall the trial version before installing the full version (though not doing this will not cause any problems).

After installing the full version and running Exult for SQL Server, you will be presented with a screen where you need to enter the name and license key exactly as specified in the confirmation email. Please refer to the screen below.

Enter the name in the Registered to: field and the license key in the Activation Code field. After that is done, the Next button becomes active. When you click Next, the key is applied and you should get a confirmation message about the acceptance of the key.

Entering Registration Key for Exult SQL Server


Exult SQL Server User Guide : 2.4 The Database Connection Screen

2.4 The Database Connection Screen

Connecting to SQL Server

The Database Connection screen is used to specify the options required for connecting to an SQL Server database.

Database Server: Please enter the name of the server here. You can enter a host name or an IP address (dotted decimal format) such as 172.168.4.122.

You can also check the Database Server combo box for connections to servers that succeeded previously.

Authentication Method: SQL Server supports two ways of authenticating users connecting to the database:

  • Windows Authentication: When using Windows Authentication, connection to SQL Server is established as the user who has logged on to the computer (and using Exult).
  • SQL Server Authentication: When using SQL Server Authentication, a user name and password need to be supplied to connect to the database. This username could be different from the username used to log on to the computer (or domain). Check with your SQL Server DBA for your user name and password to use with SQL Server Authentication.
Connecting to SQL Server

Username and Password: Required for SQL Server Authentication.

Database (Optional): Click the drop down and select <Browse for Databases ..>. When you do that, Exult will attempt to connect to an SQL Server database using the parameters already specified in the panel. If the parameters are correct, it retrieves a list of databases from the server specified in Database Server. You can then select one of these databases to import XML into.

Connecting to SQL Server for browsing databases

If the parameters are incorrect and/or Exult is unable to connect to the SQL Server at the specified address, you get the error dialog shown below:

Error connecting to SQL Server

If the lookup for databases succeeds, the combo is populated with the databases found.

Note: If a database is not specified in the Databases (Optional): drop-down, Exult connects to the default database associated with the the username specified (if using SQL Server Authentication), or with your user login name (when using Windows Authentication). However, we recommend that you explicitly select a database in this field to avoid confusion about where your data might be saved.

If no host name or IP address is specified in the Database Server field, Exult attempts to connect to SQL Server on the same computer (localhost). The screen shot below shows the databases that Exult has retrieved from the SQL Server running on localhost.

Connecting to SQL Server on the localhost


Exult SQL Server User Guide : 2.5 XML File Selection Screen

2.5 XML File Selection Screen

Selecting XML files for importing into SQL Server

This screen is where you can add XML files to be imported into SQL Server. Clicking Add File brings up a file browser where you can browse for local files (or files on the intranet).

Browsing XML files for importing into SQL Server

In the File Browser, click on a file name to select it, and click Open to add the file to the XML files list.

To select multiple files, hold down Ctrl (the Control key) and click on the file name. Or hold down Shift while selecting files to select a range of files. Clicking Open adds the selected files to the list of XML files to be processed.

Importing multiple XML files into SQL Server

To remove a file from the list, select the file and click Remove. The file will be removed from the list to be processed (but will not be deleted from your computer).

Once one or more XML files have been added to the list for processing, click Next to start the import process.


Exult SQL Server User Guide : 2.5.1 Adding XML File URLs

2.5.1 Adding XML File URLs

New with version 1.1: Exult for SQL Server can directly import XML from HTTP and FTP urls. This section explains the process for entering XML file URLs for import.

The complete URL (along with the user name and password, if any) is stored in the database once the XML import successfully completes. This enables one-click refresh of data from the URL.


Exult SQL Server User Guide : 2.5.1.1 Selecting URL type

2.5.1.1 Selecting URL type

The following screen is the first screen shown when attempting to add a URL for XML file import. Select the URL type to be added: HTTP (Web), FTP (File Transfer Protocol) or Custom URL.

Note: When Custom URL is selected, any type of URL including HTTP or FTP URL can be entered. If you know the full URL string, it is easier to select Custom URL and enter it in the Enter URL box. Select one of the other types if you need help building the URL string.

Add an XML file URL to import into SQL Server


Exult SQL Server User Guide : 2.5.1.2 Adding a HTTP URL

2.5.1.2 Adding a HTTP URL

The HTTP URL screen is shown below.

Add a HTTP (Web) URL to import XML into SQL Server

Enter the full URL to the XML file in the Enter URL text field.

If you need to specify a user name and a password to access the file, select the Username and password required checkbox, and enter the user name and password.

The following types of authentication are supported in the current version. The software selects the most secure method depending on the remote web server support.

  • HTTP Basic Authentication sends user name and password over the network in plain text. Widely supported by web servers.
  • HTTP Digest Authentication is a more secure way of authentication in which the password is not sent as plain text.

Note 1: Please note that form-based authentication is NOT supported. Form-based authentication means any web site where you enter the username and password into a form to gain access.

Note 2: Though the password is not shown when you enter it in the Password box, the user name and password are embedded in the URL and stored in plain text in the database.

Click Next to begin downloading the file from the Web server.


Exult SQL Server User Guide : 2.5.1.3 Adding an FTP URL

2.5.1.3 Adding an FTP URL

Add a FTP (File Transfer Protocol) URL to import XML into SQL Server

Adding an FTP source for importing XML into SQL Server is easy using the FTP options panel.

Server Location: Enter the name of the FTP server or the IP address.

Port: The port number on which the FTP server is listening can be entered here. Enter it only if different from the default of 21.

File Path on the Server: Enter the full path name to the XML file here. The path name should start with a /.

Username and Password Required: If a user name and password is required to access the file, select this checkbox and enter the user name and password.

Note: Though the password is not shown when you enter it in the Password box, the user name and password are embedded in the URL and stored in plain text in the database.

Click Next to begin downloading the file from the FTP server.


Exult SQL Server User Guide : 2.5.1.4 URL Download Progress Screen

2.5.1.4 URL Download Progress Screen

Adding a URL to import XML into SQL Server

This screen shows the progress of the file download from the remote site. The URL is shown along with the number of bytes downloaded.

Note: The progress bar can indicate the progress only if the server reports the size of the file before the download starts.

To abort the download, click the Cancel button.


Exult SQL Server User Guide : 2.5.2 Updating XML Feeds

2.5.2 Updating XML Feeds

Once you have imported an XML file (or feed) into SQL server, you may want to update the data with a newer XML file. Typical scenarios include:

  • Stock price XML feeds: You have a source of stock prices delivered in XML format. You have used Exult for SQL Server to import the data into SQL Server. Now you have newer XML files with updated prices. You can easily use Exult’s Update Feed functionality for this purpose.
  • Weather XML feeds: You are using XML feeds from The National Weather Service to display the current weather for your region on your website (via SQL Server). For it to be of any use, it must be updated regularly. Use Exult’s Update Feed functionality to keep the weather updated.
  • Currency Data feeds: You would like to import currency data feeds in XML format from XE.com into SQL Server for the purpose of consuming the data within an Enterprise Application. Using Exult’t Update Feed functionality, you can also keep the data easily updated.

To update data from one or more XML file or URLs, click Update in the XML File Selection Screen. A dialog box which allows you to select the XML files that have been imported into SQL Server is shown:

Synchronize the data for one or more XML files in SQL Server

The top list shows the XML files that have been previously imported. Select an entry from this list and click Add. If the file contents are the same, you get a informational message and the file is not updated.

When updating an imported XML file in SQL Server

The check for an update works as follows: A SHA1 checksum is computed for the XML file (or URL) This checksum is compared with the value in the database. If the two checksums are the same, the selected entry will not be updated.

Updating XML data from URLs: When the XML file being updated is an URL, the file is fetched from the original source. The following screen pops up for confirmation. Click Finish to continue with the retrieval. This is to give you an opportunity to cancel the retrieval if the file could be large.

Confirmation required before fetching an XML file for updating in SQL Server

The following screen shot shows some XML file URLs which have been selected for update (and which have changed since the last import into the database.).

Some XML file URLs selected for updating in SQL Server

After selecting whatever XML files you want to update, click OK to return to the XML File Selection Screen.


Exult SQL Server User Guide : 2.6 XML Import Progress Screen

2.6 XML Import Progress Screen

Importing XML into an SQL Server database

The processing screen shows the progress of opening (parsing) the XML file. Since Exult can process many XML files at once, the processing screen shows two progress bars: The top bar shows the progress for opening the current file and the bottom bar shows the position of the current file in the list of files.

Once each file is successfully processed, it is added to the Sucessfully Processed list. If an error is encountered while processing a file, the file is added to the Error encountered list. You can double-click on each file in this list to obtain the details of the error.

Note that processing is not interrupted when processing multiple XML files: The file encountering the error is added to the Error encountered list and any changes till the error was encountered are ignored (rolled back, in database parlance).

XML Processing Screen with errors

When an error is encountered and processing of the remaining files is completed, the ‘Next’ button is grayed out. You will need to check the ‘Ignore the file(s) which had the error’ checkbox to continue. This is to draw attention to the errors. Once the checkbox is selected, you can click Next to continue onwards to the next screen.

Detailed error while processing XML

As shown the error details box shows the position of the error, so if it looks simple, you can correct the error in an editor such as Notepad or Wordpad.

The following screenshot shows Exult importing multiple XML file URLs into SQL Server.

Importing multiple XML URLs into SQL Server


Exult SQL Server User Guide : 2.6.1 XML Import Completed Dialog

2.6.1 XML Import Completed Dialog

After the XML import into SQL Server completes successfully, clicking the Next button will result in the following confirmation dialog. It tells you that the XML import completed successfully, and that you could quit Exult now.

This confirmation dialog was added because clicking Next on the XML Import Progress Screen causes Exult to load the data from the database for previewing the data. Loading the data could take a couple of moments depending on the size of the tables.

To not see the message again, check the Don’t show me this message again checkbox and click OK.

XML Import into SQL Server completed


Exult SQL Server User Guide : 2.7 The Data Preview Screen

2.7 The Data Preview Screen

Previewing Data after importing XML into SQL Server

The Data Preview Screen is used to browse the data once the processing is completed. The left panel contains the tables created from the XML. When a table is selected in this panel, the data is shown in tabular format in the right panel, along with the columns names extracted from element and attributes in the XML. Elements that are missing in the XML are shown as NULL.

The left side panel shows the tables in a tree indicating parent-child relationships created from XML.

Once you are done browsing the data, click Next.


Exult SQL Server User Guide : 2.8 The Finish Screen

2.8 The Finish Screen

Finished with importing XML into SQL Server

That is all there is to shredding and importing XML into SQL Server.


Exult SQL Server User Guide : 3. Using the command line to import XML into SQL Server

3. Using the command line to import XML into SQL Server

Exult for SQL Server includes a command line which allows you to perform the following tasks in a batch mode environment:

  • Shred and import data from one or more XML files into SQL Server.
  • Import XML from HTTP and FTP URLs
  • Perform database cleanup to undo all changes made by Exult to SQL Server. This is useful if you want to reload data from XML sources.
  • Update data for one or more imported XML files in the database.

The command line interface to Exult is called Exultcmd.exe and should be installed in the same location as Exult.exe itself, typically:

‘C:\Program Files\Novixys Software\Exult SQL Server 1.2\Exultcmd.exe’

Check out the following sections for more details on how to accomplish each task from the command line.


Exult SQL Server User Guide : 3.1 How to import XML into SQL Server from the command line

3.1 How to import XML into SQL Server from the command line

The following examples describe how to import XML into SQL Server from the command line.

For the syntax of DBString, click here.

To use SQL Server Authentication, specify a user name and password for connecting to SQL Server.

  1. Import a single XML file into SQL Server

    Exultcmd.exe DBString C:\Path\To\File.xml

  2. Import multiple XML files into SQL Server

    Data from the XML files are merged according to the XPath and imported into SQL Server.

    Exultcmd.exe DBString C:\Path\To\File_1.xml C:\Path\To\File_2.xml

  3. Import a bunch of XML files

    Exultcmd.exe DBString C:\Path\To\*.xml

  4. Import a bunch of XML files in different directories

    Exultcmd.exe DBString C:\Path_1\To\*.xml C:\Path_2\To\*.xml ..

  5. Import data from a HTTP URL

    Exultcmd.exe DBString http://www.example.com/Path/To/File.xml

  6. Specify username and password for use with HTTP Authentication

    Exultcmd.exe DBString http://user@passwd:www.example.com/Path/To/File.xml

  7. Import data from an FTP URL using Anonymous FTP

    Exultcmd.exe DBString ftp://ftp.example.com/Path/To/File.xml

  8. Specify user name and password for retrieving a file with FTP

    Exultcmd.exe DBString ftp://user@passwd:ftp.example.com/Path/To/File.xml

  9. Specify a different port number in a HTTP URL

    Exultcmd.exe DBString http://www.example.com:8080/Path/To/File.xml

  10. Specify a different port number in a FTP URL

    Exultcmd.exe DBString ftp://ftp.example.com:2121/Path/To/File.xml


Exult SQL Server User Guide : 3.2 Using the Windows Scheduler to schedule XML Import into SQL Server

3.2 Using the Windows Scheduler to schedule XML Import into SQL Server

It is very easy to use the Windows Scheduler to schedule jobs for importing XML into SQL Server. We will use the Exult command line interface Exultcmd.exe for this purpose.


Exult SQL Server User Guide : 3.2.1 Adding a task to the Windows Scheduler

3.2.1 Adding a task to the Windows Scheduler

To add a task to the Windows Scheduler, select the ‘Scheduled Tasks’ icon from the Control Panel.

From the Scheduled Tasks window, double-click on the ‘Add Scheduled Task’ item.


Exult SQL Server User Guide : 3.2.2 The Scheduled Tasks Wizard

3.2.2 The Scheduled Tasks Wizard

The Scheduled Tasks Wizard appears as shown. Click Next to continue.


Exult SQL Server User Guide : 3.2.3 Select Exultcmd.exe for scheduling

3.2.3 Select Exultcmd.exe for scheduling

Click Browse, navigate to the directory where Exult SQL Server is installed and select ‘Exultcmd.exe’.

Enter a name for the task and select the desired frequency. Click Next to continue.


Exult SQL Server User Guide : 3.2.4 Specify time and frequency of execution

3.2.4 Specify time and frequency of execution

Specify the execution start time and the frequency of exection of the command. Finer grained control over the timing and frequency will be possible after the task is created.


Exult SQL Server User Guide : 3.2.5 Specify user name and password

3.2.5 Specify user name and password

User name and password are required for running scheduled commands. Enter the user name and password and click Next to continue.


Exult SQL Server User Guide : 3.2.6 Scheduled Task Created

3.2.6 Scheduled Task Created

At this point, all parameters required for creating a scheduled task have been specified. Click Finish to create the task. For finer grained control over the task, select the ‘Open Advanced Properties’ checkbox before clicking Finish.


Exult SQL Server User Guide : 3.2.7 Advanced Task Settings

3.2.7 Advanced Task Settings

To enter the Advanced Task Settings screen, right click on the task in the Scheduled Tasks window, and select Properties.

From the Advanced Task Settings panel, you can change the command to add command line parameters.

Note: The command line will run inside a DOS command window which closes automatically after the command completes. To keep the command window open after the execution of the command, prepend ‘cmd.exe /K’ before the command line as shown.


Exult SQL Server User Guide : 3.2.8 Advanced Scheduling

3.2.8 Advanced Scheduling

For finer grained control over the scheduling settings, select the Schedule tab from the Advanced Task Settings window. This window shows the current scheduling parameters. Click Advanced to change the settings.

From this panel, you can specify that the commmand run multiple times in a day as shown.


Exult SQL Server User Guide : 3.2.9 Advanced Settings

3.2.9 Advanced Settings

To changed advanced settings for the task, select the Settings tab from the Advanced Task Settings panel. Here you can specify maximum execution time of the task and other settings.


Exult SQL Server User Guide : 3.3 Command line reference

3.3 Command line reference

Usage Summary

Importing XML into SQL Server:

Exultcmd.exe [Options] DBString InputFile(s)

Update all XML Feeds in SQL Server:

Exultcmd.exe [Options] -U -a DBString

Database Cleanup:

Exultcmd.exe [Options] -U -a ConnectionStr

Options

  • -n: Dry-run option. Shows the input files that will be processed and the output files that will be created without actually doing anything.
  • -q: Turns on quiet mode which suppresses progress reporting. Use this option when processing large files since progress reporting slows down the program a little bit.
  • -u Username: Login to SQL Server with the specified username. If this option is not used, Windows Authentication is used for connecting to SQL Server.
  • -p Password: Password for connecting to SQL Server when using SQL Server Authentication.
  • -U: Update Feed option. If data from any of the specified input file/URL is found in the database, it is updated with the latest data from the input file/url. The data is NOT updated if the contents of the input file have not changed from the last time it was updated.
  • -U -a: Update All Feeds option. All documents loaded into the database are checked for changes and reloaded. Useful as an automatic feed engine (for auto-update of XML feeds). With this option, input file/url arguments are not accepted.
  • -X: Cleanup the database.


Exult SQL Server User Guide : 3.3.1 Specify the Database Connection String for importing XML into SQL

3.3.1 Specify the Database Connection String for importing XML into SQL

To connect to an SQL Server database running on host name (or ip address) host:

host@

To connect to a named database (or catalog), specify the database name as follows:

host@databaseName

If you are running multiple instances of SQL Server on a given host and you would like to connect to a named instance:

host\instanceName@databaseName

Use the following syntax to specify the the current computer as the server:

localhost@

Or alternatively, the empty string “”.


Exult SQL Server User Guide : 3.3.2 Specify the user name and password for connecting to SQL Server

3.3.2 Specify the user name and password for connecting to SQL Server

By default, Exult attempts to use Windows Authentication to connect to the specified SQL Server database. This means connecting to SQL Server as the user account using Exult. If this is not acceptable, or your database is configured for SQL Server Authentication, you can specify a username and password using the -u <Username> and -p <Password> options. The following example attempts to connect to SQL Server running on host.com using the username BillyJones and password secret.

Exultcmd.exe -u BillyJones -p secret host.com ..


Exult SQL Server User Guide : 3.3.3 Specify input XML files (or URLs) on the command line

3.3.3 Specify input XML files (or URLs) on the command line

Specify an XML file to import into SQL Server by just listing it out on the command line:

Exultcmd.exe Host@dbName C:\Path\To\file.xml

Want to import multiple XML files into the database? Just list out all of them.

Exultcmd.exe Host@dbName C:\Path\To\fileA.xml C:\Path\To\fileB.xml

Listing out each file like shown above gets boring after some time. Use a wildcard to specify files matching a pattern.

Exultcmd.exe Host@dbName C:\Path\To\file*.xml

Here is how you can convert all XML files in a directory:

Exultcmd.exe Host@dbName C:\Path\To\*.xml

Need to import XML files in multiple directories?

Exultcmd.exe Host@dbName C:\Dir\A\*.xml C:\Dir\B\*.xml


Exult SQL Server User Guide : 3.3.3.1 Specifying URLs

3.3.3.1 Specifying URLs

In addition to file paths on the computer, you can also specify remote URLs: Web (HTTP) and FTP (File Transfer Protocol) URLs to import the XML from.

HTTP (Web) URLs

Specify a HTTP URL by copying it from the Web Browser, for example.

http://www.weather.gov/data/current_obs/KBUR.xml

If access to the file requires a user name and password, you can specify it in the following format. Please note that this works only when using HTTP based authentication (Basic or Digest). It does NOT work with HTTP Form-based authentication (where you enter the user name and password into a Web form to gain access).

http://user@password:www.example.com/path/to/file.xml

FTP URLs

In addition to HTTP URLs (used in web browsing), you can also add FTP URLs from which the XML is to be imported.

Type an FTP URL as follows. Note that this example uses anonymous FTP to fetch the XML file.

ftp://ftp.example.com/path/to/file.xml

Need to use a user name and password to retrieve the file? Specify the URL in the following format.

ftp://user@password:ftp.example.com/path/to/file.xml

If the FTP server needs a port to be specified, use the following format:

ftp://user@password:ftp.example.com:port/path/to/file.xml


Exult SQL Server User Guide : 3.3.4 Perform a dry-run (no execution) for sanity check

3.3.4 Perform a dry-run (no execution) for sanity check

Use the -n option to perform a dry-run. A dry-run does not actually process the input XML files, but shows you what would be done.


Exult SQL Server User Guide : 3.3.5 Turn on quiet mode to speed up execution in command line mode

3.3.5 Turn on quiet mode to speed up execution in command line mode

Specifying the -q option turns on quiet mode which suppresses progress reporting. Use this option when processing large files since progress reporting slows down the program a little bit.


Exult SQL Server User Guide : 3.3.6 Update data for one or more imported XML files (or URLs)

3.3.6 Update data for one or more imported XML files (or URLs)

Exult allows you to update the data for an XML file after it has been loaded into the database. Use the -U option to update one or more XML files.

Exultcmd.exe -U host@dbName C:\Path\to\FileA.xml

The old data for the file at the specified location is updated with the latest from the input XML.

The file is loaded into the SQL Server database if it has not already been loaded.

To update data for multiple XML files, specify all the files on the command line.

Exultcmd.exe -U host@dbName C:\Path\to\FileA.xml C:\Path\to\FileB.xml


Exult SQL Server User Guide : 3.3.7 Update data for all import XML files (or URLs)

3.3.7 Update data for all import XML files (or URLs)

To update data for all files and URLs that have been previously loaded, use the following command:

Exultcmd.exe -U -a host@dbName

This is a very simple command to update all XML feed data to the latest available.


Exult SQL Server User Guide : 3.3.8 Perform database cleanup

3.3.8 Perform database cleanup

To run the database cleanup operation from the command line, use the following command. Refer to Database Cleanup Wizard for details on database cleanup.

Exultcmd.exe -X host@dbName


Exult SQL Server User Guide : 4. Database Cleanup Wizard

4. Database Cleanup Wizard

Use the Database Cleanup Wizard to remove all changes made by Exult. This includes any tables, views, sequences, etc created by Exult. The data in these tables will also be erased.

This operation is useful in the following cases:

  1. Remove the data inserted by Exult Trial version in preparation to using the Exult Full Version.
  2. Repair the database to be able to use Exult in case it is complaining of ’inconsistent database schema’.
  3. Completely remove the data inserted by Exult (Trial or Full Version.)

Note that this operation also erases any changes you may have made to the tables created by Exult.

Any tables, views, etc NOT created by Exult are NOT removed or altered by this operation.

  1. The Database Cleanup Wizard starts with this screen which gives some information about the cleanup process. Click Next to continue. jpg
  2. Connect to the database on which you want to run the cleanup process. jpg
  3. Once the database connection is successfully established, a warning appears about the cleanup. Clicking Cancel here aborts the cleanup process. jpg
  4. After you click OK in the warning pop-up, the cleanup process starts, performs the cleanup and shows you a cleanup log. jpg
  5. Click Finish to exit. Any changes made by Exult SQL Server to the database have now been removed.


Exult SQL Server User Guide : 5. Uninstalling Exult for SQL Server

5. Uninstalling Exult for SQL Server

Uninstall Exult for SQL Server from your computer by executing Exult SQL Server Uninstaller from the Windows Start Menu. If you cannot find it in the Windows Start Menu, navigate to C:\Program Files\Novixys Software\Exult SQL Server .. and execute Uninstall.exe.

After the software has been uninstalled, a pop-up might appear asking you to fill out an online survey about the reason for uninstalling. This survey is entirely optional and you can click Cancel to not launch the web page for the uninstall survey.